geos::precision::CommonBitsRemover Class Reference

Allow computing and removing common mantissa bits from one or more Geometries. More...

`#include <CommonBitsRemover.h>`

## Public Member Functions

void | add (const geom::Geometry *geom)
geom::Coordinate & | getCommonCoordinate ()
void | removeCommonBits (geom::Geometry *geom)
| Removes the common coordinate bits from a Geometry. The coordinates of the Geometry are changed.
geom::Geometry * | addCommonBits (geom::Geometry *geom)
| Adds the common coordinate bits back into a Geometry. The coordinates of the Geometry are changed.

## Detailed Description

Allow computing and removing common mantissa bits from one or more Geometries.

## Member Function Documentation

## add()

void geos::precision::CommonBitsRemover::add | ( | const geom::Geometry * | geom | ) |

Add a geometry to the set of geometries whose common bits are being computed. After this method has executed the common coordinate reflects the common bits of all added geometries.

Parameters

  geom | a Geometry to test for common bits

## addCommonBits()

geom::Geometry * geos::precision::CommonBitsRemover::addCommonBits | ( | geom::Geometry * | geom | ) |

Adds the common coordinate bits back into a Geometry. The coordinates of the Geometry are changed.

Parameters

  geom | the Geometry to which to add the common coordinate bits

Returns
  the shifted Geometry

## getCommonCoordinate()

geom::Coordinate & geos::precision::CommonBitsRemover::getCommonCoordinate | ( |  | ) |

The common bits of the Coordinates in the supplied Geometries.

## removeCommonBits()

void geos::precision::CommonBitsRemover::removeCommonBits | ( | geom::Geometry * | geom | ) |

Removes the common coordinate bits from a Geometry. The coordinates of the Geometry are changed.

Parameters

  geom | the Geometry from which to remove the common coordinate bits

The documentation for this class was generated from the following file:

- CommonBitsRemover.h